
#include<ADuC7026.h>

extern volatile unsigned char TIMER1_FLAG;
extern volatile unsigned char TIMER2_FLAG;
extern volatile long TIME_MS;

//-------Reset vectors for the following interupt handlers---------------------
void Undef_Handler() __irq
{	
	RSTSTA = 0x04;				// SW RESET
}
void SWI_Handler() __irq
{	
	RSTSTA = 0x04;				// SW RESET
}
void PAbt_Handler() __irq	
{	
	RSTSTA = 0x04;				// SW RESET
}
void DAbt_Handler() __irq 	
{	
	RSTSTA = 0x04;				// SW RESET
}

void FIQ_Handler() __irq 
{

}

void IRQ_Handler() __irq 
{
	// Timer 1 IRQ (General Purpose timer) used for
	if (IRQSIG & GP_TIMER_BIT)			// T1 IRQ?
	{
		T1CLRI = 0xFF;	 				// Clearing Timer1 Interrupt							
		TIMER1_FLAG = 1; 				// set timer flag to signal timer interrupt
	}

	if(IRQSIG & WAKEUP_TIMER_BIT)
	{
		T2CLRI = 0xFF;
		TIMER2_FLAG = 1;
		TIME_MS++;
	}

}

